﻿''' <summary>
''' Sehr einfache Klasse die graphische Objekte speichert und zeichnet (zu 
'''  Demozwecken nur Linen und gefüllte Rechtecke)
''' </summary>
Public Class GraphicObject
  Public Enum Shapes
    Line = 0
    Rectangle = 1
  End Enum

  Private _Point1 As Point
  Private _Point2 As Point
  Private _Rectangle As Rectangle
  Private _Shape As Shapes

  Public Property Point1() As Point
    Get
      Return _Point1
    End Get
    Set(ByVal value As Point)
      _Point1 = value
    End Set
  End Property

  Public Property Point2() As Point
    Get
      Return _Point2
    End Get
    Set(ByVal value As Point)
      _Point2 = value
    End Set
  End Property

  Public Property Rectangle() As Rectangle
    Get
      Return _Rectangle
    End Get
    Set(ByVal value As Rectangle)
      _Rectangle = value
    End Set
  End Property

  Public Property Shape() As Shapes
    Get
      Return _Shape
    End Get
    Set(ByVal value As Shapes)
      _Shape = value
    End Set
  End Property

  Public Sub Draw(ByVal gr As Graphics)
    Select Case _Shape
      Case Shapes.Line
        Dim pn As New Pen(Color.Red)
        gr.DrawLine(pn, _Point1, _Point2)
      Case Shapes.Rectangle
        Dim br As Brush = New SolidBrush(Color.Blue)
        gr.FillRectangle(br, _Rectangle)
    End Select
  End Sub
End Class
